Subject: [Dime] Recharter proposal

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 3 Jun 2009 10:21:08 +0300

Hi all, 

Here is the first attempt to update the charter text to include the new
work items we have been talking about at the last IETF meeting. 

Please t <<dime-recharter.pdf>> ake a look at it!

Ciao
Hannes

---

From: "Glen Zorn" <[email-masked]>
Date: Wed, 3 Jun 2009 15:31:16 +0700

Tschofenig, Hannes (NSN - FI/Espoo) [mailto://[email-masked]]

> Please t <<dime-recharter.pdf>> ake a look at it!

Not sure why the following are listed under "Goals and Milestones":

Jul 2009 Submit 'Diameter NAT Control Application' as DIME working group
item
Jul 2009 Submit 'Diameter Capabilities Update' as DIME working group item

Aren't these activities included in "Submit new DIME charter to the IESG"?
Also, it might be nice to include some explicit provision for the addition
of new work items w/o rechartering again (it is strongly implied).

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 3 Jun 2009 11:38:36 +0300

Hi Glen, 

>> Here is the first attempt to update the charter text to include the 
>> new work items we have been talking about at the last IETF meeting.
>> 
>Jul 2009 Submit 'Diameter NAT Control Application' as DIME 
>working group item Jul 2009 Submit 'Diameter Capabilities 
>Update' as DIME working group item
>

The charter update also goes hand-in-hand with the milestone update. 

>Also, it might be nice to include some explicit provision for 
>the addition of new work items w/o rechartering again (it is 
>strongly implied).

I guess this is the text you are referring to:

"
- New Diameter applications, such as the Diameter NAT control
application.
This group will also conduct work on new Diameter applications with the
a Diameter application for configuring NATs as the first item. 
"

Ciao
Hannes

---

From: "Glen Zorn" <[email-masked]>
Date: Wed, 3 Jun 2009 15:53:26 +0700

Tschofenig, Hannes (NSN - FI/Espoo) [mailto:[email-masked]]
writes:

...

> The charter update also goes hand-in-hand with the milestone update.

Aren't they one and the same in this case?

> a Diameter application for configuring NATs as the first item.

Well that, and this (taking into account the dynamic nature of the
developments in the area of mobility):

- Diameter extensions for mobility protocols, such as Mobile IPv6 and
Proxy Mobile IPv6. Diameter extensions to support handover keying
developed in the HOKEY WG are part of this effort.

BTW, there may be more than one document involved in Diameter extensions for
hokey & I'd move the completion date for the 'Diameter Support for EAP
Re-authentication Protocol' out a bit further than September if I were you
;-).

...

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 3 Jun 2009 10:56:58 +0200

Hannes,

Should the 'Updated IANA Considerations for Diameter Command Code
Allocations' I-D be included as a milestone? If the WG agrees we can
resubmit it as a dime I-D and last call it immediately - the content is
quite trivial IMO - so by July it can be submitted to the IESG.  

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Tschofenig, Hannes (NSN - FI/Espoo)
> Sent: Wednesday, June 03, 2009 10:21 AM
> To: [email-masked]
> Subject: [Dime] Recharter proposal
> 
> Hi all, 
> 
> Here is the first attempt to update the charter text to 
> include the new work items we have been talking about at the 
> last IETF meeting. 
>

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 3 Jun 2009 12:01:40 +0300

Good point.  

>From: ext Romascanu, Dan (Dan) [mailto:[email-masked]] 
>Sent: 03 June, 2009 11:57
>To: Tschofenig, Hannes (NSN - FI/Espoo); [email-masked]
>Subject: RE: [Dime] Recharter proposal
>
>Hannes,
>
>Should the 'Updated IANA Considerations for Diameter Command 
>Code Allocations' I-D be included as a milestone? If the WG 
>agrees we can resubmit it as a dime I-D and last call it 
>immediately - the content is quite trivial IMO - so by July it 
>can be submitted to the IESG.  
>
>Dan
> 
>
>> From: [email-masked] [mailto:[email-masked]] On Behalf 
>> Of Tschofenig, Hannes (NSN - FI/Espoo)

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 3 Jun 2009 14:01:03 +0300

Hi Glen, 

Here is the high level idea of the charter update: 

* Describe what is currenly being done. 
* Include the stuff that we want todo next (Nat control, capability)
* Leave room for further work without the need to re-charter every 6
months.

The last item is, however, a slippery slope. If we make it too open then
Dan and the IESG will call us crazy. 

Was I able to roughly accomplish the 3 goals from above? 

Ciao
Hannes

>> >Jul 2009 Submit 'Diameter NAT Control Application' as DIME working 
>> >group item Jul 2009 Submit 'Diameter Capabilities Update' as DIME 
>> >working group item
>> >
>> >Also, it might be nice to include some explicit provision for the 
>> >addition of new work items w/o rechartering again (it is strongly 
>> >implied).
>> 
>> This group will also conduct work on new Diameter applications with 
>> the a Diameter application for configuring NATs as the first item.
>> "
>
>Well that, and this (taking into account the dynamic nature of 
>the developments in the area of mobility):
>
>- Diameter extensions for mobility protocols, such as Mobile 
>IPv6 and Proxy Mobile IPv6. Diameter extensions to support 
>handover keying developed in the HOKEY WG are part of this effort.
>
>BTW, there may be more than one document involved in Diameter 
>extensions for hokey & I'd move the completion date for the 
>'Diameter Support for EAP Re-authentication Protocol' out a 
>bit further than September if I were you ;-).
>
>...
>
>
>

---

From: "Hannes Tschofenig" <[email-masked]>
Date: Wed, 3 Jun 2009 14:11:45 +0300

Hi Glen, 

>bit further than September if I were you ;-).

You are right. This is a bit ambitious. 

We have 2 options here: 

1) We move the publication date to something like Jan 2010. 

2) We turn the document type into an Experimental RFC and get it finished
asap. Then, we hope that someone implements it (mabye even someone from the
HOKEY/DIME group). This implementation feedback will then be used to advance
the document to Proposed Standard with a much better quality.

I personally would like to see more documents that follow approach #2. 
Implementing a spec that is has not been published as an RFC yet is
difficult since the documents may change at any time (but that's another
story...). 

Ciao
Hannes

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 3 Jun 2009 13:19:24 +0200

> * Leave room for further work without the need to re-charter 
> every 6 months.
> 
> The last item is, however, a slippery slope. If we make it 
> too open then Dan and the IESG will call us crazy. 

The way to keep the sanity level within reasonable limits is to  list in
the charter the category of problems that need to be solved by future
work so that new milestones can be added without bothering the whole
IESG with too many new charters, but yet be clear enough with this list
so that the WG does not enter completely new fields of applications that
were not originally discussed and approved by the IESG. 

Dan

---

From: "Glen Zorn" <[email-masked]>
Date: Wed, 3 Jun 2009 18:28:08 +0700

> 1) We move the publication date to something like Jan 2010.

That's more reasonable.

> the document to Proposed Standard with a much better quality.

Although this may be theoretically possible, I've never heard of it actually
happening...